
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card card-success">
                        <div class="card-header">
                          <h3 class="card-title"><span class="text-uppercase">Modems Configurados</span></h3>                          
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay modems configurados</div>           
                          {% else %}

                            <p class="alert-info p-3 display-4" style="font-size: 32px;">Modem de: {{ cliente.nombres }} {{ cliente.ap_paterno }} 
                                
                                {% if cliente.ap_materno %}
                                    {{ cliente.ap_materno }}
                                {% endif %}
                                    
                            </p>

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <!-- <th>CLIENTE</th> -->
                                <th>MODEM</th>
                                <th>CLAVE DE WIFI</th> 
                                <th>GATEWAY</th>                               
                                <th>IMÁGEN</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                                                                                                
                                    <!-- <td>{{ item.cliente }}</td> -->
                                    
                                    {% if item.marca %}
                                        <td>{{ item.marca}}</td>
                                    {% else %}
                                        <td></td>
                                    {% endif %}

                                    
                                    {% if item.clave_wifi %}
                                        <td>{{ item.clave_wifi }}</td>
                                    {% else %}
                                        <td></td>
                                    {% endif %}

                                    
                                    {% if item.gateway %}
                                        <td>{{ item.gateway }}</td>
                                    {% else %}
                                        <td></td>
                                    {% endif %}

                                    <td class="d-flex justify-content-start">
                                        <div>
                                            <img src="{% static 'dist/img/modem.svg' %}" class="card-img-top" height="30px" width="30px" alt="modem">
                                        </div>
                                    </td>
                                                                                                                                                                                                                                                           
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}

                            <div>
                                <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-icon-split">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-arrow-left"></i>
                                    </span>
                                    <span class="text">Regresar</span>
                                </a>
                                
                            </div>
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

    
    